Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225653 - Merge Review: concurrent
Summary: Merge Review: concurrent
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wringe
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:51 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 18:44:52 UTC
mwringe: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:51:51 UTC
Fedora Merge Review: concurrent

http://cvs.fedora.redhat.com/viewcvs/devel/concurrent/
Initial Owner: pcheung@redhat.com

Comment 2 Matt Wringe 2007-03-29 19:47:59 UTC
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
X I don't know if we can just distribute this. The project claims to be in the
public domain but sections of it are covered by a Technology License from Sun
Microsystems Inc.
(http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/sun-u.c.license.pdf)

* license field matches the actual license.
X the license field does not mention the Technology License

* license is open source-compatible.
 - use acronyms for licences where common
X I don't know if the Technology License is open source-compatible

* specfile name matches %{name}
OK

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK, md5sum matches
* skim the summary and description for typos, etc.
OK
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
OK
* license text included in package and marked with %doc
X The source does not include a specific license file, but it does mention the
terms of the license in the intro.html file included. This file has a broken
link to the Sun Technology license which should be patched.

* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
rpmlint concurrent-1.3.4-5jpp.1.fc7.src.rpm
W: concurrent non-standard-group Development/Libraries/Java
W: concurrent strange-permission concurrent.tar.gz 0660
W: concurrent strange-permission concurrent-1.3.4.build.xml 0660
W: concurrent strange-permission concurrent.spec 0640

X please fix these permission issues

* changelog should be in a proper format
OK
* Packager tag should not be used
OK
* Vendor tag should not be used
OK
* Distribution tag should not be used
OK
* use License and not Copyright 
OK
* Summary tag should not end in a period
OK
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK, does not use PreReq
* specfile is legible
OK
* package successfully compiles and builds on at least x86
X package fails in mock.
I will continue the review once the package can be built properly and the
licensing issues are resolved.

Error in mock build:
cp: cannot stat `intro.html': No such file or directory

Comment 3 Permaine Cheung 2007-03-30 16:04:57 UTC
(In reply to comment #2)
> * is it legal for Fedora to distribute this?
>  - OSI-approved
>  - not a kernel module
>  - not shareware
>  - is it covered by patents?
>  - it *probably* shouldn't be an emulator
>  - no binary firmware
> X I don't know if we can just distribute this. The project claims to be in the
> public domain but sections of it are covered by a Technology License from Sun
> Microsystems Inc.
> (http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/sun-u.c.license.pdf)
> 
This is OK as Public Domain, please see
https://www.redhat.com/archives/fedora-packaging/2007-March/msg00142.html

> * license field matches the actual license.
> X the license field does not mention the Technology License
As noted in the message on the mailing list
> 
> * license is open source-compatible.
>  - use acronyms for licences where common
> X I don't know if the Technology License is open source-compatible
> 
Same as above.
> * license text included in package and marked with %doc
> X The source does not include a specific license file, but it does mention the
> terms of the license in the intro.html file included. This file has a broken
> link to the Sun Technology license which should be patched.
> 
No license file as it is Public Domain, and I fixed the link in intro.html

> * rpmlint on <this package>.srpm gives no output
> rpmlint concurrent-1.3.4-5jpp.1.fc7.src.rpm
> W: concurrent non-standard-group Development/Libraries/Java
> W: concurrent strange-permission concurrent.tar.gz 0660
> W: concurrent strange-permission concurrent-1.3.4.build.xml 0660
> W: concurrent strange-permission concurrent.spec 0640
> 
> X please fix these permission issues
Fixed.

> X package fails in mock.
> I will continue the review once the package can be built properly and the
> licensing issues are resolved.
> 
> Error in mock build:
> cp: cannot stat `intro.html': No such file or directory
Fixed.

Updated spec and srpm at the same location. Thanks


Comment 4 Matt Wringe 2007-04-04 15:26:38 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > * is it legal for Fedora to distribute this?
> >  - OSI-approved
> >  - not a kernel module
> >  - not shareware
> >  - is it covered by patents?
> >  - it *probably* shouldn't be an emulator
> >  - no binary firmware
> > X I don't know if we can just distribute this. The project claims to be in the
> > public domain but sections of it are covered by a Technology License from Sun
> > Microsystems Inc.
> > (http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/sun-u.c.license.pdf)
> > 
> This is OK as Public Domain, please see
> https://www.redhat.com/archives/fedora-packaging/2007-March/msg00142.html
Right, I know public domain is acceptable, but is this project really public
domain if it has that clause in there?

> > * license field matches the actual license.
> > X the license field does not mention the Technology License
> As noted in the message on the mailing list
> > 
> > * license is open source-compatible.
> >  - use acronyms for licences where common
> > X I don't know if the Technology License is open source-compatible
> > 
> Same as above.
> > * license text included in package and marked with %doc
> > X The source does not include a specific license file, but it does mention the
> > terms of the license in the intro.html file included. This file has a broken
> > link to the Sun Technology license which should be patched.
> > 
> No license file as it is Public Domain, and I fixed the link in intro.html
> 
> > * rpmlint on <this package>.srpm gives no output
> > rpmlint concurrent-1.3.4-5jpp.1.fc7.src.rpm
> > W: concurrent non-standard-group Development/Libraries/Java
> > W: concurrent strange-permission concurrent.tar.gz 0660
> > W: concurrent strange-permission concurrent-1.3.4.build.xml 0660
> > W: concurrent strange-permission concurrent.spec 0640
> > 
> > X please fix these permission issues
> Fixed.
> 
> > X package fails in mock.
> > I will continue the review once the package can be built properly and the
> > licensing issues are resolved.
> > 
> > Error in mock build:
> > cp: cannot stat `intro.html': No such file or directory
> Fixed.
> 
> Updated spec and srpm at the same location. Thanks
> 

Rest of review since the package now builds:

* BuildRequires are proper
 - builds in mock will flush out problems here
OK, build fine in mock
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK
* summary should be a short and concise description of the package
OK
* description expands upon summary (don't include installation
instructions)
X Do we want to be advertising for that book?
* make sure description lines are <= 80 characters
OK
* specfile written in American English
OK
* make a -doc sub-package if necessary
OK, contains a javadoc subpackage
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
OK
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
OK
* consider using cp -p to preserve timestamps
X missing a -p on the first cp in %prep
* split Requires(pre,post) into two separate lines
OK
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
OK
* package should own all directories and files
OK
* there should be no %files duplicates
OK
* file permissions should be okay; %defattrs should be present
OK
* %clean should be present
OK
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs

rpm -qp --provides concurrent-1.3.4-5jpp.1.fc7.x86_64.rpm
concurrent-1.3.4.jar.so()(64bit)
concurrent = 0:1.3.4-5jpp.1.fc7

rpm -qp --requires concurrent-1.3.4-5jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
java-gcj-compat
java-gcj-compat
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)

rpm -qp --provides concurrent-javadoc-1.3.4-5jpp.1.fc7.x86_64.rpm
concurrent-javadoc = 0:1.3.4-5jpp.1.fc7

rpm -qp --requires concurrent-javadoc-1.3.4-5jpp.1.fc7.x86_64.rpm
/bin/ln
/bin/rm
/bin/rm

X it should not need a requires on these

* run rpmlint on the binary RPMs

rpmlint concurrent-1.3.4-5jpp.1.fc7.x86_64.rpm
W: concurrent non-standard-group Development/Libraries/Java

rpmlint concurrent-javadoc-1.3.4-5jpp.1.fc7.x86_64.rpm
W: concurrent-javadoc non-standard-group Development/Documentation

rpmlint concurrent-debuginfo-1.3.4-5jpp.1.fc7.x86_64.rpm

OK, the group warnings can be ignored

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
OK
* package should build in mock
OK


Comment 5 Permaine Cheung 2007-04-04 19:18:22 UTC
(In reply to comment #4)
...
> > > 
> > This is OK as Public Domain, please see
> > https://www.redhat.com/archives/fedora-packaging/2007-March/msg00142.html
> Right, I know public domain is acceptable, but is this project really public
> domain if it has that clause in there?

I've listed the Sun License and a link to the pdf in the original mail, and it
was described as Public Domain, feel free to further discuss that in that
discussion thread if you see fit.

...
> X Do we want to be advertising for that book?
Good catch, got rid of it.

...
> * consider using cp -p to preserve timestamps
> X missing a -p on the first cp in %prep
Fixed.

> rpm -qp --requires concurrent-javadoc-1.3.4-5jpp.1.fc7.x86_64.rpm
> /bin/ln
> /bin/rm
> /bin/rm
> 
> X it should not need a requires on these
Fixed.

New spec file and srpm uploaded at the same location.

Comment 6 Matt Wringe 2007-04-04 22:35:52 UTC
(In reply to comment #5)
> (In reply to comment #4)
> ...
> > > > 
> > > This is OK as Public Domain, please see
> > > https://www.redhat.com/archives/fedora-packaging/2007-March/msg00142.html
> > Right, I know public domain is acceptable, but is this project really public
> > domain if it has that clause in there?
> 
> I've listed the Sun License and a link to the pdf in the original mail, and it
> was described as Public Domain, feel free to further discuss that in that
> discussion thread if you see fit.
Ok, its seems to be ok
https://www.redhat.com/archives/fedora-packaging/2007-April/msg00014.html


Everything looks good

APPROVED

Comment 7 Permaine Cheung 2007-04-05 00:10:39 UTC
Package built in brew.


Note You need to log in before you can comment on or make changes to this bug.